Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | List of all members
ParameterizedTestCaseInfo< TestCase > Class Template Reference

`#include <gtest.h>`

Inheritance diagram for ParameterizedTestCaseInfo< TestCase >:

## Public Types
typedef TestCase::ParamType | ParamType

## Public Member Functions
typedef | ParamGenerator (GeneratorCreationFunc)()
| ParameterizedTestCaseInfo (const char *name)
virtual const string & | GetTestCaseName () const
virtual TypeId | GetTestCaseTypeId () const
void | AddTestPattern (const char *test_case_name, const char *test_base_name, TestMetaFactoryBase< ParamType > *meta_factory)
int | AddTestCaseInstantiation (const string &instantiation_name, GeneratorCreationFunc *func, const char *, int)
virtual void | RegisterTests ()
Public Member Functions inherited from ParameterizedTestCaseInfoBase
virtual | ~ParameterizedTestCaseInfoBase ()

## Additional Inherited Members
Protected Member Functions inherited from ParameterizedTestCaseInfoBase
| ParameterizedTestCaseInfoBase ()

## Member Typedef Documentation

typedef TestCase::ParamType ParamType

## Constructor & Destructor Documentation

ParameterizedTestCaseInfo | ( | const char * | name | ) |
| inline explicit

## Member Function Documentation

int AddTestCaseInstantiation | ( | const string & | instantiation_name,
|  | GeneratorCreationFunc * | func,
|  | const char * | ,
|  | int |
| ) |  |
| inline

void AddTestPattern | ( | const char * | test_case_name,
|  | const char * | test_base_name,
|  | TestMetaFactoryBase< ParamType > * | meta_factory
| ) |  |
| inline

virtual const string& GetTestCaseName | ( |  | ) | const
| inline virtual

Implements ParameterizedTestCaseInfoBase.

virtual TypeId GetTestCaseTypeId | ( |  | ) | const
| inline virtual

Implements ParameterizedTestCaseInfoBase.

typedef ParamGenerator | ( | GeneratorCreationFunc |  | ) |

virtual void RegisterTests | ( |  | ) |
| inline virtual

Implements ParameterizedTestCaseInfoBase.

The documentation for this class was generated from the following file:

- testing/googleTest/fused-src/gtest/gtest.h